/*
Design by Free CSS Templates
http://www.freecsstemplates.org
Released for free under a Creative Commons Attribution 2.5 License
*/

@import url('https://fonts.googleapis.com/css?family=Roboto+Mono:400,400i,700,700i|Roboto:400,400i,700,700i');

* {
    margin: 0;
    padding: 0;
    font-size: 11pt;
}

body {
    background-color: black;
    background-image: linear-gradient(black, #101010, black);
    font-family: 'Roboto', sans-serif;
    color: #FFFFFF;
    min-width: 40rem;
}

h1 {
    font-size: 1.4rem;
}

h2 {
    font-size: 1.2rem;
}

h3 {
    font-size: 1.1rem;
}

p {
    line-height: 150%;
}

* ~ p {
    margin-top: 1.0rem;
}

* ~ h3 {
    margin-top: 1.0rem;
}

ul, ol {
    line-height: 150%;
}

ul, ol {
    margin-left: 2rem;
}

blockquote {
    margin-left: 3rem;
    margin-right: 3rem;
}

a {
    color: #CCCCCC;
}

a:hover {
    text-decoration: underline;
    color: #FFFFFF;
}

hr {
    display: none;
}

table {
    margin: auto;
}

td {
    padding: 0.1rem;
}

tr > td:first-child {
    text-align: right;
    vertical-align: text-top;
}

/* Body container */

#body_container {
    max-width: 80rem;
    margin: 0 auto;
    height: 100vh;
    position: relative;
}

/* Header */

#header {
    height: 3.5rem;
    margin: 0 auto;
}

#header h1, #header h2 {
    margin: 0;
    color: #FFFFFF;
}

#header h1 {
    line-height: 3.5rem;
    padding-left: 1.5rem;
    font-size: 1.4rem;
}

#header a {
    text-decoration: none;
    color: #FFFFFF;
    font-size: 100%;
}

/* Menu */

#menu {
    height: 2.5rem;
    margin: 0 auto;
    background-color: black;
    background-image: linear-gradient(#1A1A1A, #101010);
}

#menu ul {
    margin: 0;
    list-style: none;
}

#menu li {
    /*float: left;*/
    display: inline;
    padding-left: 1.5rem;
    padding-right: 1rem;
}

#menu a {
    line-height: 2.5rem;
    text-decoration: none;
    font-size: 1.2rem;
    font-weight: bold;
}

#menu a:hover {
    text-decoration: underline;
}

/* Page */

#page {
    margin: 0 auto;
    padding: 1.5rem;
    height: calc(100vh - 11.5rem);
    overflow-y: auto;
}

/* Content */

#content {
    width: 70%;
    float: left;
}

/*#content_full {
    height: calc(100vh - 15em);
}*/

.post {
    margin-bottom: 1.25rem;
}

.post .title {
    border-bottom: 0.1rem solid #454545;
}

.post .title a {
    text-decoration: none;
}

.post .entry {
    padding: 1rem 0;
    /*padding: 1rem;*/
}

/* Sidebar */

#sidebar {
    width: 28%;
    float: right;
}

/* Footer */

#footer {
    width: 100%;
    height: 2.5rem;
    margin: 0 auto;
    background-color: black;
    background-image: linear-gradient(#101010, #1A1A1A);
    position: absolute;
    bottom: 0;
}

#footer p {
    margin: 0;
    line-height: 2.5rem;
    text-align: center;
}

/* Misc */

#contact_icons {
    text-align: center;
}

#contact_icons a {
    text-decoration: none;
}

.contact_icon {
    font-size: 2rem;
    margin: 1rem 0.5em;
}

.clear {
    clear: both;
}

.img_float {
    display: block;
    margin: auto;
    /*margin-bottom: 1rem;*/
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.img_float_right {
    display: block;
    float: right;
    margin: auto;
    margin-left: 1rem;
    margin-bottom: 1rem;
}

.img_float_left {
    display: block;
    float: left;
    margin: auto;
    margin-right: 1rem;
    margin-bottom: 1rem;
}

.indent {
    margin-top: 0;
    padding-left: 2rem;
}

.acadtitle {
    font-style: italic;
    font-weight: bold;
}

.bold {
    font-weight: bold;
}

.italics {
    font-style: italic;
}

.bolditalics {
    font-weight: bold;
    font-style: italic;
}

.tt {
    font-family: 'Roboto Mono', monospace;
    font-size: 100%;
}

.img_w_12_5 {
    width: 12.5%;
    height: auto;
}

.img_w_20 {
    width: 20%;
    height: auto;
}

.img_w_25 {
    width: 25%;
    height: auto;
}

.img_w_30 {
    width: 30%;
    height: auto;
}

.img_w_40 {
    width: 40%;
    height: auto;
}

.img_w_50 {
    width: 50%;
    height: auto;
}

.img_w_75 {
    width: 75%;
    height: auto;
}

.img_w_100 {
    width: 100%;
    height: auto;
}
